Package com.sun.jna.platform.win32

## Class Wtsapi32.WTSINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wtsapi32.WTSINFO

- Enclosing interface:
    Wtsapi32

      @FieldOrder({"State","SessionId","IncomingBytes","OutgoingBytes","IncomingFrames","OutgoingFrames","IncomingCompressedBytes","OutgoingCompressedBytes","WinStationName","Domain","UserName","ConnectTime","DisconnectTime","LastInputTime","LogonTime","CurrentTime"})
      public static class Wtsapi32.WTSINFO
      extends Structure

  Contains information about a Remote Desktop Services session.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `WinNT.LARGE_INTEGER` | `ConnectTime` |
    `WinNT.LARGE_INTEGER` | `CurrentTime` |
    `WinNT.LARGE_INTEGER` | `DisconnectTime` |
    `byte[]` | `Domain` |
    `int` | `IncomingBytes` |
    `int` | `IncomingCompressedBytes` |
    `int` | `IncomingFrames` |
    `WinNT.LARGE_INTEGER` | `LastInputTime` |
    `WinNT.LARGE_INTEGER` | `LogonTime` |
    `int` | `OutgoingBytes` |
    `int` | `OutgoingCompressedBytes` |
    `int` | `OutgoingFrames` |
    `int` | `SessionId` |
    `int` | `State` |
    `byte[]` | `UserName` |
    `byte[]` | `WinStationName` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WTSINFO()` |
    `WTSINFO​(Pointer p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDomain()` | Convenience method to return the null-terminated string in the `Domain` member, accounting for `CHAR` or `WCHAR` byte width.
    `java.lang.String` | `getUserName()` | Convenience method to return the null-terminated string in the `UserName` member, accounting for `CHAR` or `WCHAR` byte width.
    `java.lang.String` | `getWinStationName()` | Convenience method to return the null-terminated string in the `WinStationName` member, accounting for `CHAR` or `WCHAR` byte width.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### State

          public int State

    - #### SessionId

          public int SessionId

    - #### IncomingBytes

          public int IncomingBytes

    - #### OutgoingBytes

          public int OutgoingBytes

    - #### IncomingFrames

          public int IncomingFrames

    - #### OutgoingFrames

          public int OutgoingFrames

    - #### IncomingCompressedBytes

          public int IncomingCompressedBytes

    - #### OutgoingCompressedBytes

          public int OutgoingCompressedBytes

    - #### WinStationName

          public final byte[] WinStationName

    - #### Domain

          public final byte[] Domain

    - #### UserName

          public final byte[] UserName

    - #### ConnectTime

          public WinNT.LARGE_INTEGER ConnectTime

    - #### DisconnectTime

          public WinNT.LARGE_INTEGER DisconnectTime

    - #### LastInputTime

          public WinNT.LARGE_INTEGER LastInputTime

    - #### LogonTime

          public WinNT.LARGE_INTEGER LogonTime

    - #### CurrentTime

          public WinNT.LARGE_INTEGER CurrentTime

  - ### Constructor Detail

    - #### WTSINFO

          public WTSINFO()

    - #### WTSINFO

          public WTSINFO​(Pointer p)

  - ### Method Detail

    - #### getWinStationName

          public java.lang.String getWinStationName()

      Convenience method to return the null-terminated string in the `WinStationName` member, accounting for `CHAR` or `WCHAR` byte width.
      Returns:
        The `WinStationName` as a string.

    - #### getDomain

          public java.lang.String getDomain()

      Convenience method to return the null-terminated string in the `Domain` member, accounting for `CHAR` or `WCHAR` byte width.
      Returns:
        The `Domain` as a string.

    - #### getUserName

          public java.lang.String getUserName()

      Convenience method to return the null-terminated string in the `UserName` member, accounting for `CHAR` or `WCHAR` byte width.
      Returns:
        The `UserName` as a string.